import { ElementRef, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Subject } from 'rxjs';
export declare class FileUploadComponent implements ControlValueAccessor, OnInit {
    private host;
    onChange: Function;
    file: File | null;
    obs$: Subject<any>;
    error: string;
    success: string;
    emitFiles(event: FileList): void;
    constructor(host: ElementRef<HTMLInputElement>);
    ngOnInit(): void;
    setDisabledState?(isDisabled: boolean): void;
    writeValue(value: null): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
}
